diff --git a/test/unit/config_test.rb b/test/unit/config_test.rb
index 5a0cffd..0758df3 100644
--- a/test/unit/config_test.rb
+++ b/test/unit/config_test.rb
@@ -20,8 +20,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_merges_per_project_overrides
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         default_branch: main
         max_review_passes: 6
         budget_usd:
@@ -40,8 +40,8 @@ class ConfigTest < Minitest::Test
   # values survive untouched.
   def test_load_preserves_user_supplied_execute_review_when_legacy
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         budget_usd:
           execute_review: 50
       YAML
@@ -66,8 +66,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_honors_per_project_stage_agent_overrides
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         brainstorm:
           agent: codex
         plan:
@@ -84,8 +84,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_honors_brainstorm_tmux_runtime_override
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         brainstorm:
           runtime: tmux_interactive
       YAML
@@ -96,8 +96,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_brainstorm_runtime_is_unknown
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         brainstorm:
           runtime: warm_pool
       YAML
@@ -110,8 +110,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_stage_agent_is_unknown_profile
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         execute:
           agent: nonexistent_profile
       YAML
@@ -128,8 +128,8 @@ class ConfigTest < Minitest::Test
   # rejects them at load time with a typed ConfigError.
   def test_load_raises_when_stage_block_is_a_scalar_instead_of_hash
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         brainstorm: claude
       YAML
       err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
@@ -140,8 +140,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_budget_usd_is_nil
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         budget_usd: ~
       YAML
       err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
@@ -151,8 +151,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_timeout_sec_is_a_scalar
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         timeout_sec: 600
       YAML
       err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
@@ -166,8 +166,8 @@ class ConfigTest < Minitest::Test
   # ConfigError, not NoMethodError. Closes ce-code-review F2 (P2).
   def test_load_raises_when_stage_agent_is_an_integer
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         execute:
           agent: 42
       YAML
@@ -179,8 +179,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_stage_agent_is_a_hash
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         plan:
           agent:
             name: claude
@@ -209,8 +209,8 @@ class ConfigTest < Minitest::Test
   def test_load_rejects_scalar_override_on_every_hash_shaped_key
     Hive::Config::HASH_SHAPED_KEYS.each do |key|
       with_tmp_dir do |dir|
-        FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-        File.write(File.join(dir, ".hive-state", "config.yml"), "#{key}: scalar-value\n")
+        FileUtils.mkdir_p(File.join(dir, ".hive"))
+        File.write(File.join(dir, ".hive", "config.yml"), "#{key}: scalar-value\n")
         err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
         assert_match(/#{key}.*must be a Hash/, err.message,
                      "HASH_SHAPED_KEYS member #{key.inspect} must reject scalar overrides")
@@ -225,11 +225,11 @@ class ConfigTest < Minitest::Test
   def test_load_rejects_non_string_agent_value_on_every_role_agent_path
     Hive::Config::ROLE_AGENT_PATHS.each do |path|
       with_tmp_dir do |dir|
-        FileUtils.mkdir_p(File.join(dir, ".hive-state"))
+        FileUtils.mkdir_p(File.join(dir, ".hive"))
         # Build a nested YAML hash matching the path with the leaf as
         # an Integer (the canonical NoMethodError trigger for to_sym).
         yaml = path.reverse.reduce(42) { |acc, key| { key => acc } }.to_yaml
-        File.write(File.join(dir, ".hive-state", "config.yml"), yaml)
+        File.write(File.join(dir, ".hive", "config.yml"), yaml)
         err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
         label = path.join(".")
         assert_match(/#{Regexp.escape(label)}.*must be a String/, err.message,
@@ -242,8 +242,8 @@ class ConfigTest < Minitest::Test
   # comment but isn't exercised anywhere else. Pin it explicitly.
   def test_load_rejects_boolean_agent_value
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             agent: true
@@ -278,8 +278,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_on_non_hash_yaml
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), "- a\n- b\n")
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), "- a\n- b\n")
       assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
     end
   end
@@ -290,8 +290,8 @@ class ConfigTest < Minitest::Test
     # Pre-U2 bug: a partial override at review.ci.command would wipe every
     # other key under review.ci. The recursive deep-merge keeps siblings.
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             command: bin/ci
@@ -309,8 +309,8 @@ class ConfigTest < Minitest::Test
 
   def test_deep_merge_partial_triage_override_keeps_other_triage_defaults
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           triage:
             bias: safetyist
@@ -324,8 +324,8 @@ class ConfigTest < Minitest::Test
 
   def test_deep_merge_partial_agents_override_keeps_other_profiles
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         agents:
           codex:
             min_version: "0.5.0"
@@ -340,8 +340,8 @@ class ConfigTest < Minitest::Test
 
   def test_review_reviewers_replaces_wholesale_not_per_element
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: only-one
@@ -362,8 +362,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewers_is_not_an_array
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             this: is_a_hash_not_an_array
@@ -376,8 +376,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_on_duplicate_reviewer_name
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: dup-reviewer
@@ -400,8 +400,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_on_duplicate_output_basename
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: a
@@ -431,8 +431,8 @@ class ConfigTest < Minitest::Test
   def test_load_raises_when_output_basename_collides_with_reserved_prefix
     %w[errors escalations fix-guardrail fix-success browser ci-blocked].each do |reserved|
       with_tmp_dir do |dir|
-        FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-        File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+        FileUtils.mkdir_p(File.join(dir, ".hive"))
+        File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
           review:
             reviewers:
               - name: bad
@@ -456,8 +456,8 @@ class ConfigTest < Minitest::Test
   # so operators don't discover a typo deep in a 6-review pass.
   def test_load_raises_when_max_attempts_is_zero
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: bad
@@ -475,8 +475,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_max_attempts_is_negative
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: bad
@@ -494,8 +494,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_max_attempts_is_string
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: bad
@@ -518,8 +518,8 @@ class ConfigTest < Minitest::Test
   def test_load_raises_when_output_basename_contains_path_separator
     %w[../escape foo/bar foo\\bar . .. \0nul].each do |bad|
       with_tmp_dir do |dir|
-        FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-        File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+        FileUtils.mkdir_p(File.join(dir, ".hive"))
+        File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
           review:
             reviewers:
               - name: bad
@@ -540,8 +540,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_accepts_max_attempts_one_and_three
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: a
@@ -566,8 +566,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_role_agent_is_unknown_profile
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           triage:
             agent: nonexistent_profile
@@ -585,8 +585,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewer_name_is_missing
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - kind: agent
@@ -603,8 +603,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewer_skill_is_missing
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: needs-skill
@@ -621,8 +621,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewer_prompt_template_is_missing
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: needs-template
@@ -639,8 +639,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewer_skill_is_blank_string
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: blank-skill
@@ -658,8 +658,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_reviewer_agent_is_unknown_profile
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: bad-reviewer
@@ -679,8 +679,8 @@ class ConfigTest < Minitest::Test
     # this guard the early-return swallowed the typo and downstream code
     # NoMethodError'd on .each. Closes ce-code-review #12.
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
       YAML
@@ -694,8 +694,8 @@ class ConfigTest < Minitest::Test
     # output_basename: "" would yield reviews/-NN.md filenames. Closes
     # ce-code-review #11.
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: empty-basename
@@ -713,8 +713,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_on_whitespace_only_output_basename
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           reviewers:
             - name: ws-basename
@@ -764,8 +764,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_ci_max_attempts_is_zero
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             max_attempts: 0
@@ -778,8 +778,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_ci_max_attempts_is_negative
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             max_attempts: -1
@@ -791,8 +791,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_ci_max_attempts_is_non_integer
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             max_attempts: 1.5
@@ -804,8 +804,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_browser_test_max_attempts_is_zero
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           browser_test:
             max_attempts: 0
@@ -817,8 +817,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_max_passes_is_zero
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           max_passes: 0
       YAML
@@ -829,8 +829,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_raises_when_review_max_wall_clock_sec_is_zero
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           max_wall_clock_sec: 0
       YAML
@@ -841,8 +841,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_accepts_review_knobs_at_default_positive_values
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         review:
           ci:
             max_attempts: 5
@@ -1056,8 +1056,8 @@ class ConfigTest < Minitest::Test
         File.join(home, "config.yml"),
         {
           "registered_projects" => [
-            { "name" => "dup", "path" => "/tmp/hive-dup", "hive_state_path" => "/tmp/hive-dup/.hive-state" },
-            { "name" => "dup", "path" => "/tmp/hive-dup", "hive_state_path" => "/tmp/hive-dup/.hive-state" }
+            { "name" => "dup", "path" => "/tmp/hive-dup", "hive_state_path" => "/tmp/hive-dup/.hive" },
+            { "name" => "dup", "path" => "/tmp/hive-dup", "hive_state_path" => "/tmp/hive-dup/.hive" }
           ]
         }.to_yaml
       )
@@ -1103,7 +1103,7 @@ class ConfigTest < Minitest::Test
           File.join(home, "config.yml"),
           {
             "registered_projects" => [
-              { "name" => "live", "path" => live_dir, "hive_state_path" => File.join(live_dir, ".hive-state") },
+              { "name" => "live", "path" => live_dir, "hive_state_path" => File.join(live_dir, ".hive") },
               "not-a-hash",
               { "name" => "missing-path" }
             ]
@@ -1160,7 +1160,7 @@ class ConfigTest < Minitest::Test
         File.join(home, "config.yml"),
         {
           "registered_projects" => [
-            { "name" => 42, "path" => "/tmp/hive-int", "hive_state_path" => "/tmp/hive-int/.hive-state" }
+            { "name" => 42, "path" => "/tmp/hive-int", "hive_state_path" => "/tmp/hive-int/.hive" }
           ]
         }.to_yaml
       )
@@ -1236,8 +1236,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_honors_per_project_daemon_enabled_true
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           enabled: true
       YAML
@@ -1250,8 +1250,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_honors_per_project_daemon_partial_override
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           enabled: true
           poll_interval_sec: 15
@@ -1268,8 +1268,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_rejects_non_boolean_daemon_enabled
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           enabled: "yes"
       YAML
@@ -1280,8 +1280,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_rejects_too_small_daemon_poll_interval
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           poll_interval_sec: 2
       YAML
@@ -1292,8 +1292,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_rejects_too_small_pr_merge_poll_interval
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           pr_merge_poll_interval_sec: 30
       YAML
@@ -1304,8 +1304,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_rejects_zero_max_concurrent_runs
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           max_concurrent_runs: 0
       YAML
@@ -1316,8 +1316,8 @@ class ConfigTest < Minitest::Test
 
   def test_load_rejects_negative_edit_debounce
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           edit_debounce_sec: -1
       YAML
@@ -1330,8 +1330,8 @@ class ConfigTest < Minitest::Test
     # 0 is a valid choice (operator wants instant dispatch on first
     # mtime move, no debounce window).
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon:
           edit_debounce_sec: 0
       YAML
@@ -1343,8 +1343,8 @@ class ConfigTest < Minitest::Test
   def test_load_rejects_non_hash_daemon_section
     # daemon: enabled    (scalar; user forgot the nested mapping)
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         daemon: enabled
       YAML
       err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
@@ -1552,8 +1552,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_defaults_when_block_absent
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), "")
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), "")
       cfg = Hive::Config.load(dir)
       assert_equal true, cfg.dig("rebase", "enabled")
       assert_equal 2700, cfg.dig("rebase", "conflict_resolution_timeout_sec")
@@ -1562,8 +1562,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_enabled_false_override_is_respected
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase:
           enabled: false
       YAML
@@ -1576,8 +1576,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_timeout_override_is_respected
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase:
           conflict_resolution_timeout_sec: 600
       YAML
@@ -1588,8 +1588,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_enabled_must_be_boolean
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase:
           enabled: "yes"
       YAML
@@ -1600,8 +1600,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_timeout_must_be_positive_integer
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase:
           conflict_resolution_timeout_sec: 0
       YAML
@@ -1612,8 +1612,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_timeout_must_be_integer_not_string
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase:
           conflict_resolution_timeout_sec: "five"
       YAML
@@ -1624,8 +1624,8 @@ class ConfigTest < Minitest::Test
 
   def test_rebase_block_must_be_hash_shaped
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"), <<~YAML)
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"), <<~YAML)
         rebase: true
       YAML
       err = assert_raises(Hive::ConfigError) { Hive::Config.load(dir) }
diff --git a/test/unit/daemon/status_consumer_test.rb b/test/unit/daemon/status_consumer_test.rb
index a3f5ad5..3a28460 100644
--- a/test/unit/daemon/status_consumer_test.rb
+++ b/test/unit/daemon/status_consumer_test.rb
@@ -64,7 +64,7 @@ class HiveDaemonStatusConsumerTest < Minitest::Test
     payload = make_envelope(projects: [ {
       "name" => "writero",
       "path" => "/tmp/writero",
-      "hive_state_path" => "/tmp/writero/.hive-state",
+      "hive_state_path" => "/tmp/writero/.hive",
       "tasks" => [ task_row(slug: "fix-bug") ]
     } ])
     with_fake_status(JSON.generate(payload)) do |bin|
